File old-libva.patch of Package chromium

Index: chromium-74.0.3729.108/media/gpu/vaapi/vaapi_wrapper.cc
===================================================================
--- chromium-74.0.3729.108.orig/media/gpu/vaapi/vaapi_wrapper.cc
+++ chromium-74.0.3729.108/media/gpu/vaapi/vaapi_wrapper.cc
@@ -286,9 +286,6 @@ bool VADisplayState::Initialize() {
 }
 
 bool VADisplayState::InitializeOnce() {
-  static_assert(VA_MAJOR_VERSION >= 1 && VA_MINOR_VERSION >= 1,
-                "Requires VA-API >= 1.1.0");
-
   switch (gl::GetGLImplementation()) {
     case gl::kGLImplementationEGLGLES2:
       va_display_ = vaGetDisplayDRM(drm_fd_.get());
Index: chromium-74.0.3729.108/media/gpu/vaapi/vaapi_jpeg_decode_accelerator.cc
===================================================================
--- chromium-74.0.3729.108.orig/media/gpu/vaapi/vaapi_jpeg_decode_accelerator.cc
+++ chromium-74.0.3729.108/media/gpu/vaapi/vaapi_jpeg_decode_accelerator.cc
@@ -29,6 +29,10 @@
 #include "third_party/libyuv/include/libyuv.h"
 #include "ui/gfx/geometry/size.h"
 
+#ifndef VA_FOURCC_I420
+#define VA_FOURCC_I420 0x30323449
+#endif
+
 namespace media {
 
 namespace {
Index: chromium-74.0.3729.108/media/gpu/vaapi/vaapi_jpeg_decoder.cc
===================================================================
--- chromium-74.0.3729.108.orig/media/gpu/vaapi/vaapi_jpeg_decoder.cc
+++ chromium-74.0.3729.108/media/gpu/vaapi/vaapi_jpeg_decoder.cc
@@ -19,6 +19,10 @@
 #include "media/gpu/vaapi/vaapi_utils.h"
 #include "media/gpu/vaapi/vaapi_wrapper.h"
 
+#ifndef VA_FOURCC_I420
+#define VA_FOURCC_I420 0x30323449
+#endif
+
 namespace media {
 
 namespace {